This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 53793 - USB module won't load on a UP2000
USB module won't load on a UP2000
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-18 14:44 EDT by Robert M. Riches Jr.
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-03 15:20:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
a copy of /etc/modules.conf, last line manually added IIRC (303 bytes, text/plain)
2001-09-18 14:45 EDT, Robert M. Riches Jr.
no flags Details
output of lspci (809 bytes, patch)
2001-09-18 14:46 EDT, Robert M. Riches Jr.
no flags Details | Diff
contents of /proc/bus/pci/devices (3.00 KB, text/plain)
2001-09-18 14:47 EDT, Robert M. Riches Jr.
no flags Details
contents of /proc/pci (2.85 KB, text/plain)
2001-09-18 14:47 EDT, Robert M. Riches Jr.
no flags Details
contents of /var/log/boot.log (7.30 KB, text/plain)
2001-09-18 14:48 EDT, Robert M. Riches Jr.
no flags Details
contents of /var/log/dmesg (7.58 KB, text/plain)
2001-09-18 14:48 EDT, Robert M. Riches Jr.
no flags Details

  None (edit)
Description Robert M. Riches Jr. 2001-09-18 14:44:31 EDT
Description of Problem:
The USB (OHCI) module won't load.

Version-Release number of selected component (if applicable):
kernel 2.4.3-12

How Reproducible:
every time

Steps to Reproduce:
1. boot the system

Actual Results:
module fails to load, gives error messages (in attachments)

Expected Results:
module should load in kernel, then USB should work

Additional Information:
relevant files will be attached
Comment 1 Robert M. Riches Jr. 2001-09-18 14:45:55 EDT
Created attachment 32078 [details]
a copy of /etc/modules.conf, last line manually added IIRC
Comment 2 Robert M. Riches Jr. 2001-09-18 14:46:37 EDT
Created attachment 32079 [details]
output of lspci
Comment 3 Robert M. Riches Jr. 2001-09-18 14:47:19 EDT
Created attachment 32080 [details]
contents of /proc/bus/pci/devices
Comment 4 Robert M. Riches Jr. 2001-09-18 14:47:51 EDT
Created attachment 32081 [details]
contents of /proc/pci
Comment 5 Robert M. Riches Jr. 2001-09-18 14:48:27 EDT
Created attachment 32082 [details]
contents of /var/log/boot.log
Comment 6 Robert M. Riches Jr. 2001-09-18 14:48:59 EDT
Created attachment 32083 [details]
contents of /var/log/dmesg
Comment 7 Phil Copeland 2001-09-18 15:12:41 EDT
Ah right, you're trying to use the onboard USB (Given by the Cypress Super IO
chip),  Old known issue I'm afraid. The problem here is that the SRM doesn't
allocate an IRQ for the device which is why you'll see it screaming about IRQ
255. Of course it's not attached to irq 255 but according to the spec sheets to
irq 1 and 12. (ftp://ftp.uk.linux.org/pub/linux/alpha/cy82c693u.pdf page 120)

The OCHI USB module will work happily if you grab a OCHI USB PCI card and pop
that in the UP2000 as that correctly initializes.

Phil
=--=

Comment 8 Robert M. Riches Jr. 2001-09-18 17:53:35 EDT
Thanks for the response.  (I wish I had an open slot to put
a USB PCI card.)

Do you know whether is hope of an SRM that will initialize
the onboard USB controller?

You mentioned OHCI by name.  Is there some reason a UHCI
USB PCI card would not work on a UP-2000?
Comment 9 Phil Copeland 2001-09-19 02:02:28 EDT
Umm well with the way things are with compaq/hp and the intel plundering. dunno.
(If only they would open src the SRM code, I'd have a chance at answering
that..)

As for the OHCI , well I've only got an OHCI UCB card here to play with though
there is no reason the UHCI wouldn't work as well

I suppose it *should* be possible tolet the system come up and then forcefully
initialise the USB portion of the Cypress chip. I'll have to enquire about that.

Phil
=--=
Comment 10 Pete Zaitcev 2002-06-03 14:22:42 EDT
We made usb-uhci use correct PCI DMA API so it is cross-platform now.
So, a possible correction would be to add an UP-2000 fixup
into arch/alpha/kernel/setup.c which would forcefuly set IRQ
into pci_dev. I assigned this to Bryce, he can do that
if he gets hardware for testing and a little time
(dunno what would be tougher to find :)
Comment 11 Phil Copeland 2002-06-03 15:20:21 EDT
Pete, which kernel? 2.4.18? 2.4.9? If I can get my hands on a UHCI I'll try it

Phil
=--=
Comment 12 Phil Copeland 2002-08-12 14:57:59 EDT
Try RH7.2's kernel (2.4.9-32.5)

Phil
=--=
Comment 13 Robert M. Riches Jr. 2002-08-12 15:17:53 EDT
By marking this as closed, current release, does that mean
RH7.2 (once I get the media I ordered from HP) will work
with the UP2000's built-in USB ports?

Thanks.
Comment 14 Phil Copeland 2002-08-12 15:27:09 EDT
I foun a little bit of time to give it a go,.. no. sorry. I did have a long chat
with the compaq folks a few weeks back about onboard USB and they effectivly
told me to give it up as a bad idea as wiring and timings for the onboard USB
are badly broken. 8/ Don't give up, I see a lot of combo USB/<something else>
cards out there (I recently bought the adaptec USB/firewire card which I have
working in the UP2000)

Sorry to crush your hopes there 8(

Phil
=--=

Note You need to log in before you can comment on or make changes to this bug.